Bug 233242

Summary: sysutils/pefs-kmod fails to build with current
Product: Ports & Packages Reporter: Martin Wilke <miwi>
Component: Individual Port(s)Assignee: Gleb Kurtsou <gleb>
Status: Closed FIXED    
Severity: Affects Many People CC: gleb, kmoore, ndowens
Priority: --- Flags: bugzilla: maintainer-feedback? (gleb)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Fixes build on 13-current
none
Fix build ; Re-add patch
none
Fix build ; reorder variables ndowens: maintainer-approval? (gleb)

Description Martin Wilke freebsd_committer 2018-11-15 14:44:47 UTC
Hi Build failes on current:

with ===>  Configuring for pefs-kmod-2017.06.20
===========================================================================
=======================<phase: build          >============================
===>  Building for pefs-kmod-2017.06.20
===> sys/modules/pefs (all)
machine -> /usr/src/sys/amd64/include
x86 -> /usr/src/sys/x86/include
awk -f /usr/src/sys/tools/vnode_if.awk /usr/src/sys/kern/vnode_if.src -p
awk -f /usr/src/sys/tools/vnode_if.awk /usr/src/sys/kern/vnode_if.src -q
awk -f /usr/src/sys/tools/vnode_if.awk /usr/src/sys/kern/vnode_if.src -h
Warning: Object directory not changed from original /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs
cc  -O2 -pipe -fno-strict-aliasing  -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I/wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../ -I. -I/usr/src/sys -I/usr/src/sys/contrib/ck/include -fno-common  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer   -MD  -MF.depend.pefs_subr.o -MTpefs_subr.o -mcmodel=kernel -mno-red-zone -mno-mmx -mno-sse -msoft-float  -fno-asynchronous-unwind-tables -ffreestanding -fwrapv -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wcast-qual -Wundef -Wno-pointer-sign -D__printf__=__freebsd_kprintf__ -Wmissing-include-dirs -fdiagnostics-show-option -Wno-unknown-pragmas -Wno-error-tautological-compare -Wno-error-empty-body -Wno-error-parentheses-equality -Wno-error-unused-function -Wno-error-pointer-sign -Wno-error-shift-negative-value -Wno-address-of-packed-member  -mno-aes -mno-avx  -std=iso9899:1999 -c /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../fs/pefs/pefs_subr.c -o pefs_subr.o
cc  -O2 -pipe -fno-strict-aliasing  -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I/wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../ -I. -I/usr/src/sys -I/usr/src/sys/contrib/ck/include -fno-common  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer   -MD  -MF.depend.pefs_vfsops.o -MTpefs_vfsops.o -mcmodel=kernel -mno-red-zone -mno-mmx -mno-sse -msoft-float  -fno-asynchronous-unwind-tables -ffreestanding -fwrapv -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wcast-qual -Wundef -Wno-pointer-sign -D__printf__=__freebsd_kprintf__ -Wmissing-include-dirs -fdiagnostics-show-option -Wno-unknown-pragmas -Wno-error-tautological-compare -Wno-error-empty-body -Wno-error-parentheses-equality -Wno-error-unused-function -Wno-error-pointer-sign -Wno-error-shift-negative-value -Wno-address-of-packed-member  -mno-aes -mno-avx  -std=iso9899:1999 -c /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../fs/pefs/pefs_vfsops.c -o pefs_vfsops.o
cc  -O2 -pipe -fno-strict-aliasing  -Werror -D_KERNEL -DKLD_MODULE -nostdinc  -I/wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../ -I. -I/usr/src/sys -I/usr/src/sys/contrib/ck/include -fno-common  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer   -MD  -MF.depend.pefs_vnops.o -MTpefs_vnops.o -mcmodel=kernel -mno-red-zone -mno-mmx -mno-sse -msoft-float  -fno-asynchronous-unwind-tables -ffreestanding -fwrapv -fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wcast-qual -Wundef -Wno-pointer-sign -D__printf__=__freebsd_kprintf__ -Wmissing-include-dirs -fdiagnostics-show-option -Wno-unknown-pragmas -Wno-error-tautological-compare -Wno-error-empty-body -Wno-error-parentheses-equality -Wno-error-unused-function -Wno-error-pointer-sign -Wno-error-shift-negative-value -Wno-address-of-packed-member  -mno-aes -mno-avx  -std=iso9899:1999 -c /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../fs/pefs/pefs_vnops.c -o pefs_vnops.o
/wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs/../../fs/pefs/pefs_vnops.c:1923:8: error: initializing 'char *' with an expression of type 'const char *' discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
        char *target = ap->a_target;
              ^        ~~~~~~~~~~~~
1 error generated.
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20/sys/modules/pefs
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/sysutils/pefs-kmod/work/pefs-2017-06-20
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/pefs-kmod
=>> Cleaning up wrkdir

Host OSVERSION: 1300002
Jail OSVERSION: 1300003
Comment 1 Nathan 2018-11-16 02:08:55 UTC
Created attachment 199261 [details]
Fixes build on 13-current

sysutils/pefs-kmod:

* Fix build
* Correct variables order, while here
Remove libpam-Makefile patch, fails to apply and not needed

PR:           233242
Submitted by: ndowens@yahoo.com

Tested in poudriere on amd64 13-current
Comment 2 Nathan 2018-11-16 02:51:15 UTC
Created attachment 199262 [details]
Fix build ; Re-add patch

Re-add libpam patch
Comment 3 Tobias Kortkamp freebsd_committer 2018-11-16 06:34:01 UTC
Comment on attachment 199262 [details]
Fix build ; Re-add patch

This patch is identical to the previous one and patch-libpam-Makefile
is still being removed.
Comment 4 Nathan 2018-11-16 12:25:14 UTC
Going to redo it, will upload when I get off work and at home
Comment 5 Nathan 2018-11-16 12:33:46 UTC
Created attachment 199268 [details]
Fix build ; reorder variables
Comment 6 Gleb Kurtsou freebsd_committer 2018-11-16 15:31:49 UTC
Patch looks good. Go ahead with committing it.
Comment 7 commit-hook freebsd_committer 2018-11-18 03:49:09 UTC
A commit references this bug:

Author: kmoore
Date: Sun Nov 18 03:48:18 UTC 2018
New revision: 485210
URL: https://svnweb.freebsd.org/changeset/ports/485210

Log:
  - Unbreak on HEAD

  PR: 233242
  Submitted by: Nathan <ndowens@yahoo.com>
  Reported by: Martin Wilke <miwi@FreeBSD.org>
  Reviewed by: Gleb Kurtsou <gleb@FreeBSD.org>

Changes:
  head/sysutils/pefs-kmod/Makefile
  head/sysutils/pefs-kmod/files/patch-sys_fs_pefs_pefs__vnops.c
Comment 8 Kris Moore freebsd_committer 2018-11-18 03:49:30 UTC
This is committed. Only change was removing PORTREVISION, since this only unbreaks CURRENT and doesn't necessarily change anything for previous FreeBSD versions. (That I can see)
Comment 9 commit-hook freebsd_committer 2018-12-10 07:12:58 UTC
A commit references this bug:

Author: tobik
Date: Mon Dec 10 07:12:02 UTC 2018
New revision: 487131
URL: https://svnweb.freebsd.org/changeset/ports/487131

Log:
  MFH: r485210 r487095

  - Unbreak on HEAD

  PR: 233242
  Submitted by: Nathan <ndowens@yahoo.com>
  Reported by: Martin Wilke <miwi@FreeBSD.org>
  Reviewed by: Gleb Kurtsou <gleb@FreeBSD.org>

  sysutils/pefs-kmod: Update to 2018.11.26

  - Fixes build on 12

  PR:		233882
  Approved by:	gleb (maintainer)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/sysutils/pefs-kmod/Makefile
  branches/2018Q4/sysutils/pefs-kmod/distinfo